Bug 129459 - no german umlauts in staroffice
no german umlauts in staroffice
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2004-08-09 10:46 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-25 15:43:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-08-09 10:46:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1

Description of problem:
Openoffice an staroffice are not able to get german umlauts from
keybord (german layout, latin1 no deadkeys). 

The openoffice is from openoffice.org (v1.1.2) and staroffice 7 with
and without staroffice patch 3. 

When typing an german umlaut instead of the umlaut apears two ASCI's.
It looks like office does not accept the utf-8 input. In i18n is set
to      LANG="de_DE.UTF-8", no other programs have this problem.

The problem does not depend on the Windowmanager, it apears under KDE,
Gnome, failsafe. 

The fedora core 2 was updated direct after install with up2date on
04.08.2004, the installation ist OK and brand new

the same Openoffice and Staroffice work fine under Redhat 8.0. 


Version-Release number of selected component (if applicable):
staroffice 7(patch3) and openoffice 1.1.2

How reproducible:

Steps to Reproduce:
1.install FC2 with german language support

2.install openoffice from openoffice.org or staroffice 7

3.start office 

4.type an german umlaut 

Actual Results:  not commen ASCI character apper, two for one umlaut 

Expected Results:  there shut appear an german umlaut

Additional info:

-openoffice from openoffice.org or staroffice 7 work fine on Redhat 8.0
-The fedora core 2 was updated  withs up2date on 03.08.2004

staroffice and openoffice are useless with this bug for german fedora
Comment 1 Dan Williams 2004-09-25 15:43:28 EDT
Please test with the openoffice.org-1.1.2-5 RPMs in Rawhide, it should
be fixed in that version.  If the problem persists with that version,
please reopen this bug.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.